from openpyxl.workbook._writer import WorkbookWriter
from openpyxl.packaging.relationship import Relationship


class SynoWorkbookWriter(WorkbookWriter):

    def write_rels(self):
        strings = Relationship(type='sharedStrings',
                               Target='sharedStrings.xml')
        self.rels.append(strings)
        return WorkbookWriter.write_rels(self)
